Bug 1211645 - Extend lvmconf script to configure lvm.conf for HA LVM use and add possibility to also set SysV services accordingly
Summary: Extend lvmconf script to configure lvm.conf for HA LVM use and add possibilit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.7
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Peter Rajnoha
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1211507 1223090
Blocks: 1223093
TreeView+ depends on / blocked
 
Reported: 2015-04-14 13:43 UTC by Peter Rajnoha
Modified: 2015-07-22 07:38 UTC (History)
10 users (show)

Fixed In Version: lvm2-2.02.118-2.el6
Doc Type: Enhancement
Doc Text:
New options added to lvmconf script The lvmconf script now provides --enable-halvm and --disable-halvm options to set proper configuration in the etc/lvm/lvm.conf configuration file that is suitable for an HA-LVM environment. In addition, the lvmconf script now also provides --service, --mirrorservice, and --startstopservices options to enable or disable related SysV init services needed for LVM to work correctly in a clustered environment. For information on the lvmconf script, see the lvmconf(8) man page.
Clone Of: 1211507
: 1223093 (view as bug list)
Environment:
Last Closed: 2015-07-22 07:38:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1411 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2015-07-20 18:06:52 UTC

Description Peter Rajnoha 2015-04-14 13:43:05 UTC
(Opening report to track this change properly for RHEL6 update, started originally in bug #1208523 and bug #1211507 comment #3)

lvmconf is just a helper script and new patches are adding new helper hooks to set HA LVM properly, not changing existing functionality - we may still squeeze this into 6.7 as users may benefit from easier configuration.

Just like we have lvmconf --enable-cluster which makes sure that locking_type=3 and use_lvmetad=0 is set in lvm.conf, add --enable-halvm to make sure that locking_type=1 and use_lvmetad=0 is set in lvm.conf.

Also, to remove burden from users, make it easier for them so they can also set proper state for services when switching to/from cluster/halvm.

The lvmconf script is now patched upstream and it provides these changes:

  --> new "--enable-halvm" (sets locking_type=1 and use_lvmetad=0)
  --> new "--disable-halvm" option (go backward - sets default locking type, which is locking_type=1 and default use_lvmetad which in case of RHEL6 is 0)
  --> new "--services" option to handle Systemd/SysV services according to changes done in LVM configuration (in case of RHEL6, this encompasses lvm2-lvmetad, clvmd and cmirrord SysV services), this option causes the services to be enabled or disabled accordingly
  --> new "--mirrorservice" option to handle cmirrord service in addition
  --> new "--startstopservices" option to also start or stop services according to lvm.conf changes immediately

Patches:

https://git.fedorahosted.org/cgit/lvm2.git/commit/?id=f814d763c60f795dd7616b57fbcd55f1761fcc3c

https://git.fedorahosted.org/cgit/lvm2.git/commit/?id=695237f2ae2f2c34f8abc30b6c03467a06c28945

https://git.fedorahosted.org/cgit/lvm2.git/commit/?id=d5651f44e3056c0e0e5f0c3d05c29c575782379e

Comment 4 Nenad Peric 2015-04-21 07:58:07 UTC
Marking this particular bug as VERIFIED with:

lvm2-2.02.118-2.el6.x86_64


Additionally, a new bug has been opened (Bug 1213735) which deals with the more detailed command line options processing, and setting up of a locking_type properly in certain cases.

Comment 8 errata-xmlrpc 2015-07-22 07:38:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1411.html


Note You need to log in before you can comment on or make changes to this bug.